# This script generates a gamma function
# The user can set the values lamda1, eta1, and area1

	IRFtype=1
	IRFmode=3
	h1=0
	h1 = rep(0, ylen)
	ylen = 1000

	if (IRFtype==1) {  # Use parametric IRFs
	if (IRFmode==3) {  # Use gamma 
		lamda1 = .025
		eta1 = 4
		area1 = 10
		
		# Calculate IRF for quick flow - dry period (h1)
		G = 0 # initialize G
		for (jj in 1:ylen) { # Calculate the denomenator G - ylen is surrogate for infinity
			x = jj-0.5 # Calculation is centered on each step
			Gstep = x^(eta1-1) * exp(-x)
			G = Gstep + G
		}  # end for
		hsum = h1[1]
		for (ii in 1:ylen) { # Calculate the gamma function
			t = ii - 0.5      # t = time in days; starts at t = 0.5 to center on time step
			h1[ii] = area1 * lamda1^eta1 * t^(eta1-1) * exp(-lamda1*t) / G
			hsum = h1[ii] + hsum
		}
		area1 = hsum
	}  # end if (IRFmode==3)
	}  # end if
	
	write.csv(x=h1,file="gamma_out.csv",row.names=F) 