# Sample predefined IRFs to get initial IRF control points from
# predefined IRFs in rt_irf.csv

# Set the desired control-point interval
intrvl=100

# Make the function active
source("../rf_utilities.r")

irf=loadIRF("../data/rf_irf.csv")
hDry = irf$hDryNP
hWet = irf$hWetNP

# Initialize arrays
pTime=0
pDry=0
pWet=0
datalen=length(hDry)
# Set all values of the 2D array pilotD to zero
pTime <- rep(0,datalen/intrvl+1)
pDry=pTime
pWet=pTime

# Sample hDry and hWet at an equal interval (intvrl)
ii=0
for (i in seq(from=1,to=datalen,by=intrvl)) {
	ii=ii+1
	pTime[ii]=i
	pDry[ii]=hDry[i]
	pWet[ii]=hWet[i]
	}

pilotPts <- data.frame(pTime,pDry,pWet)	

# Write output
write.csv(pilotPts,file="getCntrlPts_out.csv",row.names=F)

# Plot
plot(hDry,type="l",col="red",xlim=c(0,4000),ylim=c(0,.5))
points(pilotPts$pTime,pilotPts$pDry,col="red")
lines(hWet,col="blue")
points(pilotPts$pTime,pilotPts$pWet,col="blue")